Subject: Re: ML300-gpio

From: Andrei Konovalov <[email-masked]>
Date: Wed, 01 Jun 2005 14:42:29 +0400

[email-masked] wrote:
> hi all,
> I'm working with the ML300 platform running the shipped Montavista Linux
> (and hw configuration). I need to use the onboard gpio and I found a driver,
> the xilinx_gpio, that I have loaded (insmod xilinx_gpio). After insmoding
> the driver it is registered in /dev/xgpio (why is not it loaded in /proc/
> before?) I have tried to use the GPIOs...
> 
> cat "111111000000" > /dev/xgpio

You must use ioctl's.
This driver has the same API as IBM OCP GPIO driver.
Please check include/linux/ibm_ocp_gpio.h.

Thanks,
Andrei

> I was expecting some leds lighting but nothing at all...
> Is there someone experienced with the ml300 gpios? 
> Please I need help
> Luigi
> 
> 
> 
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded